Use this endpoint to update a specific contact
curl --request PATCH \
--url https://api.talktohumans.app/v1/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "42",
"tags": {
"add": [
{
"name": "Hot lead",
"color": "red"
}
],
"remove": [
"Old tag"
]
}
}
'{
"data": {
"contact": {
"account_relationship_id": "<string>",
"contact_id": "<string>",
"provider_participant_id": "<string>",
"account": {
"account_id": "<string>",
"display_name": "<string>",
"provider_account_id": "<string>",
"owner_user_id": "<string>"
},
"name": "<string>",
"tags": [
{
"name": "<string>"
}
],
"languages": [
{
"language": "<string>"
}
],
"experiences": [
{
"experience_id": "<string>",
"is_current": true,
"company_participant_id": "<string>",
"company_provider_participant_id": "<string>",
"company_name": "<string>",
"title": "<string>",
"employment_type": "<string>",
"location": "<string>",
"start_at": "<string>",
"end_at": "<string>",
"description": "<string>"
}
],
"educations": [
{
"education_id": "<string>",
"school_participant_id": "<string>",
"school_provider_participant_id": "<string>",
"school_name": "<string>",
"degree": "<string>",
"field_of_study": "<string>",
"start_at": "<string>",
"end_at": "<string>",
"description": "<string>"
}
],
"locations": [
{
"is_primary": true,
"is_headquarter": true,
"linkedin_text": "<string>",
"display_text": "<string>",
"country_code": "<string>",
"region_code": "<string>",
"country": "<string>",
"country_full": "<string>",
"state": "<string>",
"city": "<string>",
"geographic_area": "<string>"
}
],
"app_url": "<string>",
"public_identifier": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"primary_role_title": "<string>",
"primary_company_name": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>",
"background_cover_url": "<string>",
"about": "<string>",
"profile_action_label": "<string>",
"profile_action_url": "<string>",
"follower_count": 123,
"connections_count": 123,
"connection_invitation": {
"invite_id": "<string>",
"invite_state": "<string>",
"invite_type": "<string>",
"received_at": "2023-11-07T05:31:56Z"
},
"notes_json": "<string>",
"company": {
"company_id": "<string>",
"provider_participant_id": "<string>",
"name": "<string>",
"industries": [
{
"name": "<string>",
"title": "<string>",
"industry_urn": "<string>",
"provider_industry_id": "<string>",
"hierarchy": "<string>"
}
],
"locations": [
{
"is_primary": true,
"is_headquarter": true,
"linkedin_text": "<string>",
"display_text": "<string>",
"country_code": "<string>",
"region_code": "<string>",
"country": "<string>",
"country_full": "<string>",
"state": "<string>",
"city": "<string>",
"geographic_area": "<string>"
}
],
"public_identifier": "<string>",
"headline": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>",
"background_cover_url": "<string>",
"headcount": "<string>",
"employee_count": 123,
"founding_date": "<string>",
"website_url": "<string>",
"follower_count": 123,
"about": "<string>",
"notes_json": "<string>"
},
"last_interaction_at": "2023-11-07T05:31:56Z",
"sequence": {
"sequence_id": "<string>",
"status": "<string>",
"stop_if_person_replies": true,
"steps": [
{
"step_id": "<string>",
"step_type": "<string>",
"trigger_type": "<string>",
"position": 123,
"message_mode": "<string>",
"state": "<string>",
"template_run_public_id": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z"
}
],
"reply_guard_after": "2023-11-07T05:31:56Z",
"next_step_id": "<string>",
"next_step_scheduled_for": "2023-11-07T05:31:56Z"
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://talktohumans.app/docs/llms.txt
Use this file to discover all available pages before exploring further.
Pass your API key as Authorization: Bearer <api_key>.
Contact ID returned by GET /v1/contacts.
^[1-9][0-9]*$LinkedIn account ID returned by GET /v1/accounts. Required when the contact exists under multiple LinkedIn accounts.
^[1-9][0-9]*$Use set for exact replacement, or add/remove for incremental updates. set cannot be combined with add or remove.
Show child attributes
Valid JSON text to store as account-scoped notes. Use null or an empty string to clear notes.
Contact updated.
Show child attributes
curl --request PATCH \
--url https://api.talktohumans.app/v1/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "42",
"tags": {
"add": [
{
"name": "Hot lead",
"color": "red"
}
],
"remove": [
"Old tag"
]
}
}
'{
"data": {
"contact": {
"account_relationship_id": "<string>",
"contact_id": "<string>",
"provider_participant_id": "<string>",
"account": {
"account_id": "<string>",
"display_name": "<string>",
"provider_account_id": "<string>",
"owner_user_id": "<string>"
},
"name": "<string>",
"tags": [
{
"name": "<string>"
}
],
"languages": [
{
"language": "<string>"
}
],
"experiences": [
{
"experience_id": "<string>",
"is_current": true,
"company_participant_id": "<string>",
"company_provider_participant_id": "<string>",
"company_name": "<string>",
"title": "<string>",
"employment_type": "<string>",
"location": "<string>",
"start_at": "<string>",
"end_at": "<string>",
"description": "<string>"
}
],
"educations": [
{
"education_id": "<string>",
"school_participant_id": "<string>",
"school_provider_participant_id": "<string>",
"school_name": "<string>",
"degree": "<string>",
"field_of_study": "<string>",
"start_at": "<string>",
"end_at": "<string>",
"description": "<string>"
}
],
"locations": [
{
"is_primary": true,
"is_headquarter": true,
"linkedin_text": "<string>",
"display_text": "<string>",
"country_code": "<string>",
"region_code": "<string>",
"country": "<string>",
"country_full": "<string>",
"state": "<string>",
"city": "<string>",
"geographic_area": "<string>"
}
],
"app_url": "<string>",
"public_identifier": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"primary_role_title": "<string>",
"primary_company_name": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>",
"background_cover_url": "<string>",
"about": "<string>",
"profile_action_label": "<string>",
"profile_action_url": "<string>",
"follower_count": 123,
"connections_count": 123,
"connection_invitation": {
"invite_id": "<string>",
"invite_state": "<string>",
"invite_type": "<string>",
"received_at": "2023-11-07T05:31:56Z"
},
"notes_json": "<string>",
"company": {
"company_id": "<string>",
"provider_participant_id": "<string>",
"name": "<string>",
"industries": [
{
"name": "<string>",
"title": "<string>",
"industry_urn": "<string>",
"provider_industry_id": "<string>",
"hierarchy": "<string>"
}
],
"locations": [
{
"is_primary": true,
"is_headquarter": true,
"linkedin_text": "<string>",
"display_text": "<string>",
"country_code": "<string>",
"region_code": "<string>",
"country": "<string>",
"country_full": "<string>",
"state": "<string>",
"city": "<string>",
"geographic_area": "<string>"
}
],
"public_identifier": "<string>",
"headline": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>",
"background_cover_url": "<string>",
"headcount": "<string>",
"employee_count": 123,
"founding_date": "<string>",
"website_url": "<string>",
"follower_count": 123,
"about": "<string>",
"notes_json": "<string>"
},
"last_interaction_at": "2023-11-07T05:31:56Z",
"sequence": {
"sequence_id": "<string>",
"status": "<string>",
"stop_if_person_replies": true,
"steps": [
{
"step_id": "<string>",
"step_type": "<string>",
"trigger_type": "<string>",
"position": 123,
"message_mode": "<string>",
"state": "<string>",
"template_run_public_id": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z"
}
],
"reply_guard_after": "2023-11-07T05:31:56Z",
"next_step_id": "<string>",
"next_step_scheduled_for": "2023-11-07T05:31:56Z"
}
}
}
}